{
  "name": "strata-service-tools",
  "version": "2.0.0-rc.1",
  "description": "A UI for calling strata based services.",
  "type": "module",
  "main": "dist/launcher.js",
  "repository": "https://gitlab.com/stratajs/strata-service-tools.git",
  "author": "Christopher S. Case<chris.case@g33xnexus.com>",
  "license": "MIT",
  "scripts": {
    "dev": "tsc -b && npm run db:migrate && npm start -- --dev",
    "build": "tsc -b && vite build",
    "start": "node ./dist/server/launcher.js",
    "db:make": "tsx ./node_modules/knex/bin/cli.js migrate:make -x ts --",
    "db:migrate": "tsx ./node_modules/knex/bin/cli.js migrate:latest",
    "db:migrate:down": "tsx ./node_modules/knex/bin/cli.js migrate:down --",
    "db:seed:make": "tsx ./node_modules/knex/bin/cli.js seed:make -x ts --",
    "db:seed:run": "tsx ./node_modules/knex/bin/cli.js seed:run",
    "test": "npm run build",
    "lint": "eslint \"src/**/*.{ts,js,vue}\" --max-warnings=0 --fix",
    "prepare": "husky"
  },
  "devDependencies": {
    "@eslint/js": "^9.20.0",
    "@fortawesome/fontawesome-svg-core": "^6.7.2",
    "@fortawesome/free-brands-svg-icons": "^6.7.2",
    "@fortawesome/pro-regular-svg-icons": "^6.7.2",
    "@fortawesome/pro-solid-svg-icons": "^6.7.2",
    "@fortawesome/vue-fontawesome": "^3.0.8",
    "@stylistic/eslint-plugin": "^3.1.0",
    "@types/eslint__js": "^8.42.3",
    "@types/lodash-es": "^4.17.12",
    "@types/mime-types": "^2.1.4",
    "@types/node": "^22.13.4",
    "@types/uuid": "^10.0.0",
    "@vitejs/plugin-vue": "^5.2.1",
    "@vueuse/shared": "^12.7.0",
    "bootstrap": "^5.3.3",
    "bootstrap-vue-next": "^0.26.26",
    "codemirror": "^6.0.1",
    "eslint-formatter-junit": "^8.40.0",
    "eslint-plugin-vue": "^9.32.0",
    "husky": "^9.1.7",
    "lint-staged": "^15.4.3",
    "pino-pretty": "^13.0.0",
    "rxjs": "^7.8.1",
    "sass": "^1.85.0",
    "typescript": "^5.7.3",
    "typescript-eslint": "^8.24.1",
    "unplugin-vue-components": "^28.1.0",
    "vite": "^6.1.0",
    "vue": "^3.5.13",
    "vue-codemirror": "^6.1.1",
    "vue-router": "^4.5.0",
    "vue3-select-component": "^0.10.0"
  },
  "lint-staged": {
    "*.{ts,js,vue}": "eslint --cache --fix"
  },
  "dependencies": {
    "@codemirror/lint": "^6.8.4",
    "@codemirror/theme-one-dark": "^6.1.2",
    "@strata-js/strata": "^2.0.0",
    "@strata-js/util-config": "^0.8.4",
    "add": "^2.0.6",
    "axios": "^1.7.9",
    "better-sqlite3": "^11.8.1",
    "codemirror-json5": "^1.0.3",
    "connect-session-knex": "^5.0.0",
    "cookie-parser": "^1.4.7",
    "dotenv": "^16.4.7",
    "express": "^4.21.2",
    "express-session": "^1.18.1",
    "helmet": "^8.0.0",
    "json5": "^2.2.3",
    "knex": "^3.1.0",
    "lodash": "^4.17.21",
    "mime-types": "^2.1.35",
    "nanoid": "^5.1.0",
    "nanoid-dictionary": "^5.0.0-beta.1",
    "passport": "^0.7.0",
    "passport-gitlab2": "^5.0.0",
    "rimraf": "^6.0.1",
    "socket.io": "^4.8.1",
    "socket.io-client": "^4.8.1",
    "trivialperms": "^2.0.0",
    "tsx": "^4.19.2"
  },
  "overrides": {
    "eslint": "^9.7.0"
  }
}
